import sys

def main():
    if len(sys.argv) > 1 and sys.argv[1] == "config":
        if len(sys.argv) > 2 and sys.argv[2] == "setup":
            from friday.installer import setup
            setup()
            return

    from friday.config import validate_env
    from friday.agent import main as agent_main

    agent_main()
